@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_processes-mixins.scss";

.yw-processes-header-settings-popup {
	overflow: visible;
	margin-top: $processes__settings-popup--margin-top;
	background-color: $processes__default-popup--bg-color;

	&-container {
		.ye-processes-settings-container {
			padding: $processes__settings-popup-container--padding;
			width: $processes__settings-popup-container--width;
			margin: 0;
			display: -webkit-flex;
			display: -ms-flexbox;
			display: flex;
			@include _indentedBorder();
			
			&:first-child:before {
				display: none;
			}

			&-setting {
				display: inline-block;
				padding-right: $processes__settings-popup-container--padding-x;
				width: $processes__settings-popup-setting--width;
				
				> span {
					display: block;
				}

				&-name {
					font-weight: bold;
				}
			}
			&-checkbox, &-range-drop {
				float: right;
				vertical-align: middle;
			}

			&-range-list.z-listbox {
				border-width: 0;
				margin: 0 (-$processes__settings-popup-container--padding-x);
				position: relative;
				top: $processes__settings-popup-range-list--top;
				padding-top: $boxes--border__thin;

				.z-listitem {
					&:hover {
						&,
						.z-listcell-content,
						.ye-processes-settings-container-range-list-label {
							color: $processes__settings-popup-range-list-item-hover--color;
						}
					}
					.z-listcell {
						border-top-width: 0;

						&-content {
							padding-right: $processes__settings-popup-container--padding-x;
							padding-left: $processes__settings-popup-container--padding-x;
							margin-top: $boxes--border__thin;
						}
						@include _indentedBorder($boxes--border__thin solid transparent, top, 0, true);
					}
					&:first-child .z-listcell {
						&:before {
							display: none;
						}
					}
				}
				
				@include _indentedBorder();
			}
			&-range-list-toggle-btn {
				right: $processes__settings-popup-range-list-toggle-btn--right;
				width: $processes__settings-popup-range-list-toggle-btn--size;
				height: $processes__settings-popup-range-list-toggle-btn--size;
				margin-top: $processes__settings-popup-range-list-toggle-btn--margin-top;
				color: inherit;
				position: absolute;
				display: inline-block;
				text-decoration: none;
			
				&:before {
					line-height: $processes__settings-popup-range-list-toggle-btn--size;
					font-family: $processes__settings-popup-range-list-toggle-btn--font-family;
					content: $processes__settings-popup-range-list-toggle-btn-down--content;
					margin-top: $processes__settings-popup-range-list-toggle-btn-icon--margin-top;
					text-align: center;
					color: inherit;
					position: absolute;
					top: 50%;
					left: 0;
					width: 100%;
				}
				&-active:before {
					content: $processes__settings-popup-range-list-toggle-btn-up--content;
				}

				&:hover {
					color: $processes__settings-popup-range-list-toggle-btn-hover--color;
				}
			}
		}
	}
}